import { Test } from '@nestjs/testing';
import { AdminGuard } from './admin.guard';

describe('AdminGuard', () => {
  let guard: AdminGuard;

  beforeEach(async () => {
    const moduleRef = await Test.createTestingModule({
      providers: [AdminGuard]
    }).compile();

    guard = moduleRef.get<AdminGuard>(AdminGuard);
  });

  it('should be defined', () => {
    expect(guard).toBeDefined();
  });
});
